
-------------------------------------------------------------------------------
--  Module Declaration

local mod = BigWigs:NewBoss("Karsh Steelbender", "Blackrock Caverns")
if not mod then return end
mod.partyContent = true
mod:RegisterEnableMob(39698)
mod.toggleOptions = {
	75842, -- Quicksilver Armor
	93567, -- Superheated Quicksilver Armor
	"bosskill",
}

-------------------------------------------------------------------------------
--  Localization

local L = mod:NewLocale("enUS", true)
if L then
L["strengthened"] = "Strengthened"
L["weakened"] = "Weakened"

end
L = mod:GetLocale()

-------------------------------------------------------------------------------
--  Initialization

function mod:OnBossEnable()
	self:Log("SPELL_AURA_APPLIED", "Armor", 75842)
	self:Log("SPELL_AURA_APPLIED", "HeatedArmor", 75846, 93567)

	self:Death("Win", 39698)
end

-------------------------------------------------------------------------------
--  Event Handlers

function mod:Armor()
	self:Message(75842, L["strengthened"], "Important", 28059, "Alert") --icon = spell_chargepositive
end

function mod:HeatedArmor()
	self:Message(93567, L["weakened"], "Personal", 28084, "Info") --icon = spell_chargenegative
end

